%define _enable_debug_packages %{nil}
%define debug_package %{nil}
Name:		lsp-plugins
Summary:	A collection of plugins which aim to bring new, non existing plugins to Linux
Version:	1.1.28
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		https://github.com/sadko4u/lsp-plugins/releases
Source0:	https://github.com/sadko4u/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		lsp-plugins-1.1.28-mga-plugins.php.patch

BuildRequires:	ladspa-devel
BuildRequires:	php-cli
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(jack) 
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(sndfile)

ExcludeArch:	aarch64 

%description
LSP (Linux Studio Plugins) is a collection of open-source plugins currently
compatible with LADSPA, LV2 and LinuxVST formats.
Standalone plugins for JACK are provided since version 1.0.8.
Experimental support of ARMv7 added since version 1.1.4.

%prep
%autosetup -p1

%build
%ifarch armv7hl
# Force building for armv7 even if hardware/kernel is armv8
make DESTDIR=%{buildroot} PREFIX=%{_prefix} BUILD_PROFILE=armv7a
%else
make DESTDIR=%{buildroot} PREFIX=%{_prefix}
%endif

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIB_PATH=%{_libdir}
# We don't need these:
rm -rf %{buildroot}%{_libdir}/vst/*

%files
%{_bindir}/*
%{_libdir}/ladspa/lsp-plugins-ladspa.so
%{_libdir}/lv2/lsp-plugins.lv2/*
%{_docdir}/lsp-plugins/*
%{_libdir}/%{name}/%{name}-jack-core-%{version}.so
%{_libdir}/%{name}/%{name}-r3d-glx.so
%{_datadir}/desktop-directories/lsp-plugins.directory
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*
%{_sysconfdir}/xdg/menus/applications-merged/lsp-plugins.menu


%changelog
* Mon Dec 21 2020 barjac <barjac> 1.1.28-1.mga8
+ Revision: 1662543
- new version 1.1.28
- patch to fix build with new php (thanks luigi :)

* Sat Sep 19 2020 barjac <barjac> 1.1.26-1.mga8
+ Revision: 1628784
- new version 1.1.26

* Fri Jul 17 2020 barjac <barjac> 1.1.24-1.mga8
+ Revision: 1606799
- new version 1.1.24
- remove patch fixed upstream

* Wed Jul 15 2020 barjac <barjac> 1.1.22-1.mga8
+ Revision: 1606177
- new version 1.1.22
- patch Makefile to fix build reported upstream

* Tue Jun 09 2020 barjac <barjac> 1.1.21-1.mga8
+ Revision: 1591525
- new version 1.1.21
- updated files list

* Sun Feb 23 2020 pterjan <pterjan> 1.1.13-3.mga8
+ Revision: 1549697
- Fix build on armv8 machine

* Wed Feb 19 2020 umeabot <umeabot> 1.1.13-2.mga8
+ Revision: 1543017
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 barjac <barjac> 1.1.13-1.mga8
+ Revision: 1477529
- new version 1.1.13

* Mon Nov 11 2019 barjac <barjac> 1.1.10-1.mga8
+ Revision: 1459310
- new version 1.1.10

* Mon Mar 25 2019 barjac <barjac> 1.1.9-1.mga7
+ Revision: 1380200
- new version 1.1.9
- fix Source0 and files list

* Sat Feb 09 2019 barjac <barjac> 1.1.5-2.mga7
+ Revision: 1364433
- exclude aarch64
- Import new package

